GroovyPagesUriSupport (Grails 6.0.0)

Package: org.grails.web.pages

## [Java] Class GroovyPagesUriSupport

- org.grails.web.pages.GroovyPagesUriSupport

- All Implemented Interfaces and Traits:
    GroovyPagesUriService

      public class GroovyPagesUriSupport
      extends java.lang.Object
      implements GroovyPagesUriService

  Methods to establish template names, paths and so on.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `BLANK` |
    `protected static java.lang.String` | `EXTENSION` |
    `static java.lang.String` | `PATH_TO_VIEWS` |
    `static java.lang.String` | `RELATIVE_STRING` |
    `private static char` | `SLASH` |
    `private static java.lang.String` | `SLASH_STR` |
    `private static java.lang.String` | `SLASH_UNDR` |
    `protected static java.lang.String` | `SUFFIX` |
    `private static java.lang.String` | `UNDERSCORE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public java.lang.String` | `getAbsoluteTemplateURI(java.lang.String templateName, boolean includeExtension)` Used to resolve template names that are not relative to a controller.
    `` | `public java.lang.String` | `getAbsoluteViewURI(java.lang.String viewName)` Obtains a view URI that is not relative to any given controller
    `` | `private java.lang.String` | `getAbsoluteViewURIInternal(java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)`
    `` | `public java.lang.String` | `getDeployedAbsoluteViewURI(java.lang.String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
    `` | `public java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
    `` | `public java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
    `` | `public java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name without the suffix
    `` | `public java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name without the suffix
    `` | `private java.lang.String` | `getRelativeTemplateURIInternal(java.lang.String templateName, boolean includeSuffix)`
    `` | `private java.lang.String` | `getRelativeViewURIInternal(java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)`
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)` Obtains a template URI for the given controller instance and template name
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)`
    `` | `public java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)` Obtains the URI to a template using the controller name and template name
    `` | `public java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName, boolean includeExtension)` Obtains the URI to a template using the controller name and template name
    `` | `public java.lang.String` | `getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name
    `` | `public java.lang.String` | `getViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name
    `` | `private java.lang.String` | `getViewURIInternal(java.lang.String viewPathPrefix, java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String BLANK

    - #### protected static final java.lang.String EXTENSION

    - #### public static final java.lang.String PATH_TO_VIEWS

    - #### public static final java.lang.String RELATIVE_STRING

    - #### private static final char SLASH

    - #### private static final java.lang.String SLASH_STR

    - #### private static final java.lang.String SLASH_UNDR

    - #### protected static final java.lang.String SUFFIX

    - #### private static final java.lang.String UNDERSCORE

  - ### Method Detail

    - #### public void clear()

    - #### public java.lang.String getAbsoluteTemplateURI(java.lang.String templateName, boolean includeExtension)

      Used to resolve template names that are not relative to a controller.

      Parameters:
        `templateName` - The template name normally beginning with /
        `includeExtension` - The flag to include the template extension
      Returns:
        The template URI

    - #### public java.lang.String getAbsoluteViewURI(java.lang.String viewName)

      Obtains a view URI that is not relative to any given controller

      Parameters:
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### private java.lang.String getAbsoluteViewURIInternal(java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)

    - #### public java.lang.String getDeployedAbsoluteViewURI(java.lang.String viewName)

      Obtains a view URI when deployed within the /WEB-INF/grails-app/views context

      Parameters:
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

      Obtains a view URI when deployed within the /WEB-INF/grails-app/views context

      Parameters:
        `controllerName` - The name of the controller
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

    - #### public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

      Obtains a view URI of the given controller and view name without the suffix

      Parameters:
        `controller` - The name of the controller
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

      Obtains a view URI of the given controller name and view name without the suffix

      Parameters:
        `controllerName` - The name of the controller
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### private java.lang.String getRelativeTemplateURIInternal(java.lang.String templateName, boolean includeSuffix)

    - #### private java.lang.String getRelativeViewURIInternal(java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

      Obtains a template URI for the given controller instance and template name

      Parameters:
        `controller` - The controller instance
        `templateName` - The template name
      Returns:
        The template URI

    - #### @java.lang.Override public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)

    - #### public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

      Obtains the URI to a template using the controller name and template name

      Parameters:
        `controllerName` - The controller name
        `templateName` - The template name
      Returns:
        The template URI

    - #### @java.lang.Override public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName, boolean includeExtension)

      Obtains the URI to a template using the controller name and template name

      Parameters:
        `controllerName` - The controller name
        `templateName` - The template name
        `includeExtension` - The flag to include the template extension
      Returns:
        The template URI

    - #### public java.lang.String getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

      Obtains a view URI of the given controller and view name

      Parameters:
        `controller` - The name of the controller
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### public java.lang.String getViewURI(java.lang.String controllerName, java.lang.String viewName)

      Obtains a view URI of the given controller name and view name

      Parameters:
        `controllerName` - The name of the controller
        `viewName` - The name of the view
      Returns:
        The view URI

    - #### private java.lang.String getViewURIInternal(java.lang.String viewPathPrefix, java.lang.String viewName, FastStringWriter buf, boolean includeSuffix)